AOMedia AV1 Codec: MotionVectorSearchParams Struct Reference

| AOMedia AV1 Codec

Data Fields
MotionVectorSearchParams Struct Reference

Parameters for motion vector search process. More...

`#include <encoder.h>`

## Data Fields
int | max_mv_magnitude
int | mv_step_param
fractional_mv_step_fp * | find_fractional_mv_step
search_site_config | search_site_cfg [SS_CFG_TOTAL][NUM_DISTINCT_SEARCH_METHODS]

## Detailed Description

Parameters for motion vector search process.

## Field Documentation

## ◆ max_mv_magnitude

int MotionVectorSearchParams::max_mv_magnitude

Largest MV component used in a frame. The value from the previous frame is used to set the full pixel search range for the current frame.

Referenced by av1_restore_layer_context(), and av1_save_layer_context().

## ◆ mv_step_param

int MotionVectorSearchParams::mv_step_param

Parameter indicating initial search window to be used in full-pixel search. Range [0, MAX_MVSEARCH_STEPS-2]. Lower value indicates larger window.

Referenced by combined_motion_search(), and rd_pick_intrabc_mode_sb().

## ◆ find_fractional_mv_step

fractional_mv_step_fp* MotionVectorSearchParams::find_fractional_mv_step

Pointer to sub-pixel search function. In encoder: av1_find_best_sub_pixel_tree av1_find_best_sub_pixel_tree_pruned av1_find_best_sub_pixel_tree_pruned_more In MV unit test: av1_return_max_sub_pixel_mv av1_return_min_sub_pixel_mv

Referenced by combined_motion_search(), search_new_mv(), and tf_motion_search().

## ◆ search_site_cfg

search_site_config MotionVectorSearchParams::search_site_cfg[SS_CFG_TOTAL][NUM_DISTINCT_SEARCH_METHODS]

Search site configuration for full-pel MV search. search_site_cfg[SS_CFG_SRC]: Used in tpl, rd/non-rd inter mode loop, simple motion search. search_site_cfg[SS_CFG_LOOKAHEAD]: Used in intraBC, temporal filter search_site_cfg[SS_CFG_FPF]: Used during first pass and lookahead

Referenced by rd_pick_intrabc_mode_sb().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h